GetAdminAccount
Retrieves the details of the specified AWS Network Security Manager administrator account.
Request Syntax
GET /admin-account/accountId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- accountId
-
The AWS account ID of the administrator account to retrieve.
Length Constraints: Fixed length of 12.
Pattern:
(?:[0-9]{12})Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"adminAccountDetails": {
"adminAccount": "string",
"adminScope": {
"firewallTypeScope": {
"allFirewallTypesEnabled": boolean,
"firewallTypes": [ "string" ]
},
"scopeFilter": { ... }
},
"priority": number,
"status": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- adminAccountDetails
-
The details of the administrator account.
Type: AdminAccountDetails object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient permissions to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request processing failed because of an internal error in the service. This is a retryable error.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists, then try your request again.
- resourceId
-
The ID of the resource that could not be found.
- resourceType
-
The type of the resource that could not be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied because of request throttling. Reduce your request rate and try again.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 429
- ValidationException
-
The request failed validation. For details, see the
reasonandfieldListmembers of the response.- fieldList
-
The list of request fields that failed validation, if any.
- reason
-
The reason that the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: